hakyll-4.9.8.0: A static website compiler library

Safe Haskell | Safe
Language | Haskell98

Hakyll.Core.Util.File

Description

A module containing various file utility functions

Synopsis

- makeDirectories :: FilePath -> IO ()
- getRecursiveContents :: (FilePath -> IO Bool) -> FilePath -> IO [FilePath]
- removeDirectory :: FilePath -> IO ()

# Documentation

makeDirectories :: FilePath -> IO () #

Given a path to a file, try to make the path writable by making all directories on the path.

getRecursiveContents #

Arguments

:: (FilePath -> IO Bool) | Ignore this file/directory
-> FilePath | Directory to search
-> IO [FilePath] | List of files found

Get all contents of a directory.

removeDirectory :: FilePath -> IO () #